Using Ubuntu 18.04 with cups 2.1.3-4ubuntu0.6

Asked by Francoise Dehinbo on 2021-04-12

We currently run Ubuntu 16.04 and held cups version at 2.1.3-4ubuntu0.6. This is because we have old printers that do not work well with cups version beyond this point.

We now need to upgrade Ubuntu to 18.04 asap but keep the existing cups version. Is this possible and how can I achieve this? I cannot find cups version 2.1.3-4ubuntu0.6 anywhere.

Many thanks.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu cups Edit question
Assignee:
No assignee Edit question
Last query:
2021-04-12
Last reply:
2021-04-12

you may be able to apt pin the version but if the CUPS version being a newer version than you have is a dep of another application then you may get issues.

If the server is a VM then you could take a copy of the server and see how it goes. You could also create an 18.04 box to run alongside then switch the IP address over when all is well.

Can you help with this problem?

Provide an answer of your own, or ask Francoise Dehinbo for more information if necessary.

To post a message you must log in.